Bug 52086 - RAM memory not fully utilised or recognised at boot
Summary: RAM memory not fully utilised or recognised at boot
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-20 13:13 UTC by s.rees
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 17:38:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description s.rees 2001-08-20 13:13:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 95; UUNET)

Description of problem:
RH 7.0 only recognises 1GB of 2GB installed RAM at boot.  Checks 
in /proc/meminfo etc show the lower amount of memory.  Machine is a Dell 
Precision 530 dual PIII Zeon, kernel is 2.2.16-22.  

append="mem=2000M" added to lilo.conf and /sbin/lilo run, with no success.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RH 7.0
2.Boot with mem=2000M
3.
	

Additional info:

Comment 1 Arjan van de Ven 2001-08-20 13:23:45 UTC
Please try installing the "-enterprise" kernel; that kernel (in 7.0) is designed
to work with bigger amounts of memory.


Comment 2 s.rees 2001-08-22 07:19:26 UTC
Will using the enterpise kernel reduce the SMP performance ?  The machine in 
question is being used as a number cruncher and speed is the main thing.  It's 
being heavily used at the moment and I don't want to risk a reboot unless I 
know the performance won't be affected.

Comment 3 Arjan van de Ven 2001-08-22 07:25:31 UTC
On Red Hat Linux 7.0, the enterprise kernel has (or should have, I have never
benchmarked it myself) the same performance.

On Red Hat Linux 7.1 things are different. There the stock "SMP" kernel has
support for upto 4Gb (well actually 3.5Gb or so) and the "enterprise" kernel has
support for upto 64Gb. 64Gb support _does_ have a performance penalty.



Note You need to log in before you can comment on or make changes to this bug.